fop 2.3

## org.apache.fop.render.pcl.fonts
Class PCLFontReader

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLFontReader

Direct Known Subclasses:
  PCLTTFFontReader

    public abstract class PCLFontReader

extends java.lang.Object

Field Summary
`protected CustomFont` `font`
`protected Typeface` `typeface`

Constructor Summary
`PCLFontReader(Typeface font)`

Method Summary
`abstract int` `getBaselinePosition()`
`abstract int` `getCapHeight()`
`abstract int` `getCellHeight()`
`abstract int` `getCellWidth()`
`abstract java.util.Map<java.lang.Integer,int[]>` `getCharacterOffsets()` Character Definitions
`abstract int` `getDescriptorSize()` Header Data
`abstract int` `getFirstCode()`
`abstract OpenFont` `getFontFile()`
`abstract FontFileReader` `getFontFileReader()`
`abstract java.lang.String` `getFontName()`
`abstract int` `getFontNumber()`
`abstract int` `getFontScalingTechnology()`
`abstract java.util.List<PCLFontSegment>` `getFontSegments(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)` Segmented Font Data
`abstract int` `getFontType()`
`abstract int` `getHeaderFormat()`
`abstract int` `getHeight()`
`abstract int` `getHeightExtended()`
`abstract int` `getLastCode()`
`protected int` `getLSB(int s)` Gets the least significant byte from a 16-bit integer
`abstract int` `getMasterUnderlinePosition()`
`abstract int` `getMasterUnderlineThickness()`
`protected int` `getMSB(int s)` Gets the most significant byte from a 16-bit integer
`abstract int` `getOrientation()`
`abstract int` `getPitch()`
`abstract int` `getPitchExtended()`
`abstract int` `getPlacement()`
`abstract int` `getQuality()`
`abstract int` `getScaleFactor()`
`abstract int` `getSerifStyle()`
`abstract int` `getSpacing()`
`abstract int` `getStrokeWeight()`
`abstract int` `getStyleLSB()`
`abstract int` `getStyleMSB()`
`abstract int` `getSymbolSet()`
`abstract int` `getTextHeight()`
`abstract int` `getTextWidth()`
`abstract int` `getTypefaceLSB()`
`abstract int` `getTypefaceMSB()`
`abstract int` `getUnderlinePosition()`
`abstract int` `getUnderlineThickness()`
`abstract int` `getVariety()`
`abstract int` `getWidthType()`
`abstract int` `getXHeight()`
`abstract java.util.Map<java.lang.Integer,java.lang.Integer>` `scanMtxCharacters()`
`void` `setFont(CustomFont mbFont)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeface

    protected Typeface typeface

### font

    protected CustomFont font

Constructor Detail

### PCLFontReader

    public PCLFontReader(Typeface font)

Method Detail

### setFont

    public void setFont(CustomFont mbFont)

### getDescriptorSize

    public abstract int getDescriptorSize()

  Header Data

### getHeaderFormat

    public abstract int getHeaderFormat()

### getFontType

    public abstract int getFontType()

### getStyleMSB

    public abstract int getStyleMSB()

### getBaselinePosition

    public abstract int getBaselinePosition()

### getCellWidth

    public abstract int getCellWidth()

### getCellHeight

    public abstract int getCellHeight()

### getOrientation

    public abstract int getOrientation()

### getSpacing

    public abstract int getSpacing()

### getSymbolSet

    public abstract int getSymbolSet()

### getPitch

    public abstract int getPitch()

### getHeight

    public abstract int getHeight()

### getXHeight

    public abstract int getXHeight()

### getWidthType

    public abstract int getWidthType()

### getStyleLSB

    public abstract int getStyleLSB()

### getStrokeWeight

    public abstract int getStrokeWeight()

### getTypefaceLSB

    public abstract int getTypefaceLSB()

### getTypefaceMSB

    public abstract int getTypefaceMSB()

### getSerifStyle

    public abstract int getSerifStyle()

### getQuality

    public abstract int getQuality()

### getPlacement

    public abstract int getPlacement()

### getUnderlinePosition

    public abstract int getUnderlinePosition()

### getUnderlineThickness

    public abstract int getUnderlineThickness()

### getTextHeight

    public abstract int getTextHeight()

### getTextWidth

    public abstract int getTextWidth()

### getFirstCode

    public abstract int getFirstCode()

### getLastCode

    public abstract int getLastCode()

### getPitchExtended

    public abstract int getPitchExtended()

### getHeightExtended

    public abstract int getHeightExtended()

### getCapHeight

    public abstract int getCapHeight()

### getFontNumber

    public abstract int getFontNumber()

### getFontName

    public abstract java.lang.String getFontName()

### getScaleFactor

    public abstract int getScaleFactor()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMasterUnderlinePosition

    public abstract int getMasterUnderlinePosition()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMasterUnderlineThickness

    public abstract int getMasterUnderlineThickness()
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFontScalingTechnology

    public abstract int getFontScalingTechnology()

### getVariety

    public abstract int getVariety()

### scanMtxCharacters

    public abstract java.util.Map<java.lang.Integer,java.lang.Integer> scanMtxCharacters()
                                                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFontSegments

    public abstract java.util.List<PCLFontSegment> getFontSegments(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)
                                                            throws java.io.IOException

  Segmented Font Data

  Throws:
    `java.io.IOException`

### getCharacterOffsets

    public abstract java.util.Map<java.lang.Integer,int[]> getCharacterOffsets()
                                                                        throws java.io.IOException

  Character Definitions

  Throws:
    `java.io.IOException`

### getFontFile

    public abstract OpenFont getFontFile()

### getFontFileReader

    public abstract FontFileReader getFontFileReader()

### getMSB

    protected int getMSB(int s)

  Gets the most significant byte from a 16-bit integer

  Parameters:
    `s` - The number
  Returns:
    The resulting byte value as an integer

### getLSB

    protected int getLSB(int s)

  Gets the least significant byte from a 16-bit integer

  Parameters:
    `s` - The number
  Returns:
    The resulting byte value as an integer

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.